CI tests failing for labs/striker due to "upstream library changes and loose specification of the dependencies in the requirements.txt file"
Closed, ResolvedPublic

Description

Ci tests for https://gerrit.wikimedia.org/r/#/admin/projects/labs/striker are not passing, ie:

According to @bd808 this is because of ''unpinned versions in requirements.txt. The latest versions of some of the external libraries are incompatible with the pinned version of django" and "upstream library changes and loose specification of the dependencies in the requirements.txt file".

We should fix'em to unblock development in that tool.

Thanks!

MarcoAurelio renamed this task from Ci tests failing for labs/striker due to "upstream library changes and loose specification of the dependencies in the requirements.txt file" to CI tests failing for labs/striker due to "upstream library changes and loose specification of the dependencies in the requirements.txt file".Jun 25 2018, 11:01 AM

Change 443203 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Temporarily replace requirements.txt with pip --freeze from prod

https://gerrit.wikimedia.org/r/443203

Change 443205 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[integration/config@master] tox-docker: Add libssl-dev

https://gerrit.wikimedia.org/r/443205

bd808 claimed this task.Jun 29 2018, 11:17 PM
bd808 triaged this task as High priority.
bd808 moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.
Vvjjkkii renamed this task from CI tests failing for labs/striker due to "upstream library changes and loose specification of the dependencies in the requirements.txt file" to 7caaaaaaaa.Jul 1 2018, 1:01 AM
Vvjjkkii removed bd808 as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, MarcoAurelio.
JJMC89 renamed this task from 7caaaaaaaa to CI tests failing for labs/striker due to "upstream library changes and loose specification of the dependencies in the requirements.txt file".Jul 1 2018, 3:52 AM
JJMC89 assigned this task to bd808.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: MarcoAurelio.

Change 443205 merged by jenkins-bot:
[integration/config@master] tox-docker: Add libssl-dev

https://gerrit.wikimedia.org/r/443205

Mentioned in SAL (#wikimedia-releng) [2018-07-02T20:28:09Z] <hashar> building docker image releng/tox:0.1.1 , that adds libssl-dev | T198076

hashar added a subscriber: hashar.Jul 2 2018, 9:43 PM

Sorry I was not paying attention tonight. The labs-striker-tox-docker job uses the container releng/tox-labs-striker:0.1.0 (which also add libldap2-dev and libsasl2-dev).

So I guess we can revert https://gerrit.wikimedia.org/r/#/c/integration/config/+/443205/ which adds libssl-dev to the generic tox container and add the package to the more specific container.

Note that all of that mess will eventually disappear when we start migrating to the release pipeline ( Release Pipeline (Blubber) )

Change 443570 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: add libssl-dev to releng/tox-labs-striker

https://gerrit.wikimedia.org/r/443570

Change 443570 merged by jenkins-bot:
[integration/config@master] docker: add libssl-dev to releng/tox-labs-striker

https://gerrit.wikimedia.org/r/443570

Mentioned in SAL (#wikimedia-releng) [2018-07-03T08:44:19Z] <hashar> Building docker container releng/tox-labs-striker to add libssl-dev | T198076

hashar closed this task as Resolved.Jul 3 2018, 9:14 AM

recheck passed on https://gerrit.wikimedia.org/r/#/c/labs/striker/+/443203/

Solved by adding libssl-dev in the Docker container which is now docker-registry.wikimedia.org/releng/tox-labs-striker:0.2.0

Change 443203 merged by jenkins-bot:
[labs/striker@master] Temporarily replace requirements.txt with pip --freeze from prod

https://gerrit.wikimedia.org/r/443203

Mentioned in SAL (#wikimedia-operations) [2018-08-02T20:30:06Z] <bd808@deploy1001> Finished deploy [striker/deploy@2329901]: Update Striker to 2329901 (T177407, T198076, T190543) (duration: 01m 26s)